package cn.wisenergy.mapper;

import cn.wisenergy.model.app.TeamUserInfo;
import cn.wisenergy.model.vo.TeamUserInfoVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 团队Mapper
 * @author zw
 */
public interface TeamUserInfoMapper extends BaseMapper<TeamUserInfo> {

//    TeamUserInfo getByUserId(String userid);
    //根据userId查询用户是否存在
    Integer czByUserId(String userId);
    /**
     * 获取用户的团队信息
     * @param userId 用户Id
     * @return 用户的团队信息
     */
    TeamUserInfo getByUserId(String userId);

    /**
     * 获取用户的团队总人数
     * @param userId 用户Id
     * @return 团队总人数
     */
    Integer getTeamUserCount(String userId);

    int add(TeamUserInfo teamUserInfo);

    int edit(TeamUserInfo teamUserInfo);

    /**
     * 分页查询所有信息
     * @param map
     * @return
     */
    List<TeamUserInfoVo> getTeamUserInfoList(Map<String, Object> map);

    /**
     * 统计总记录数
     *
     * @param map 入参
     * @return 结果
     */
    int count( Map<String, Object> map);
}
